ros-noetic-planner-cspace (0.17.5-1focal) focal; urgency=high

  * planner_cspace: reconstuct GridAstarModel3D only when necessary (#751 <https://github.com/at-wat/neonavigation/issues/751>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Feb 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 20 Jan 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.3-1focal) focal; urgency=high

  * planner_cspace: add costmap_cspace integration test for out-of-bound position (#746 <https://github.com/at-wat/neonavigation/issues/746>)
  * costmap_cspace: publish empty costmap_update on out-of-bound (#743 <https://github.com/at-wat/neonavigation/issues/743>)
  * planner_cspace: reduce remember_updates calculation cost (#742 <https://github.com/at-wat/neonavigation/issues/742>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 25 Dec 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.2-1focal) focal; urgency=high

  * planner_3d: apply turn_penalty_cost_threshold in curve path (#739 <https://github.com/at-wat/neonavigation/issues/739>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 07 Nov 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.1-1focal) focal; urgency=high

  * planner_3d: remove duplicated interpolation method (#733 <https://github.com/at-wat/neonavigation/issues/733>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Mar 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.0-1focal) focal; urgency=high

  * planner_3d: add an option to trigger planning by costmap updates (#727 <https://github.com/at-wat/neonavigation/issues/727>)
  * planner_3d: fix cost calculation bug on in-place turning (#725 <https://github.com/at-wat/neonavigation/issues/725>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Nov 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.16.0-1focal) focal; urgency=high

  * planner_cspace: start planning from expected robot pose (#717 <https://github.com/at-wat/neonavigation/issues/717>)
  * planner_cspace: add new parameters for cost function (#720 <https://github.com/at-wat/neonavigation/issues/720>)
  * planner_cspace: refactor start pose building algorithm and fix finishing condition when start is relocated (#718 <https://github.com/at-wat/neonavigation/issues/718>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 14 Sep 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.15.0-1focal) focal; urgency=high

  * planner_cspace: enable dynamic reconfigure (#714 <https://github.com/at-wat/neonavigation/issues/714>)
  * planner_space: fix segmentation fault on out-of-map (#712 <https://github.com/at-wat/neonavigation/issues/712>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.2-1focal) focal; urgency=high

  * planner_cspace: improve peformance of DistanceMap (#709 <https://github.com/at-wat/neonavigation/issues/709>)
  * planner_cspace: avoid multiple goal pose relocation (#708 <https://github.com/at-wat/neonavigation/issues/708>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.1-1focal) focal; urgency=high

  * planner_cspace: fix error status handling after cost_estim_cache_ was not created (#705 <https://github.com/at-wat/neonavigation/issues/705>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.0-1focal) focal; urgency=high

  * planner_cspace: publish planner_3d metrics (#701 <https://github.com/at-wat/neonavigation/issues/701>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.13.0-1focal) focal; urgency=high

  * planner_cspace: fix fast map update (#692 <https://github.com/at-wat/neonavigation/issues/692>)
  * planner_cspace: fix status when goal or robot is in rock on updating goal (#694 <https://github.com/at-wat/neonavigation/issues/694>)
  * planner_cspace: fix string template constexpr in test (#685 <https://github.com/at-wat/neonavigation/issues/685>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.2-1focal) focal; urgency=high

  * planner_cspace: fix planner_2dof_serial_joints status (#682 <https://github.com/at-wat/neonavigation/issues/682>)
  * planner_cspace: set timestamp to planner status message (#681 <https://github.com/at-wat/neonavigation/issues/681>)
  * planner_cspace: fix uninitialized variables in DistanceMap (#679 <https://github.com/at-wat/neonavigation/issues/679>)
  * planner_cspace: add scoped trace to some test cases (#680 <https://github.com/at-wat/neonavigation/issues/680>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.1-1focal) focal; urgency=high

  * Improve test logs on timeout (#673 <https://github.com/at-wat/neonavigation/issues/673>)
  * planner_cspace: fix map update range (#672 <https://github.com/at-wat/neonavigation/issues/672>)
  * planner_cspace: clear velocity of dummy_robot on position set (#669 <https://github.com/at-wat/neonavigation/issues/669>)
  * planner_cspace: fix flaky action tests (#665 <https://github.com/at-wat/neonavigation/issues/665>)
  * planner_cspace: fix planner_cspace_msgs version constraint (#663 <https://github.com/at-wat/neonavigation/issues/663>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.0-1focal) focal; urgency=high

  * planner_cspace: add continuous movement mode to MoveWithTolerance (#652 <https://github.com/at-wat/neonavigation/issues/652>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.11.8-1focal) focal; urgency=high

  * planner_cspace: add missing array include (#658 <https://github.com/at-wat/neonavigation/issues/658>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.7-1focal) focal; urgency=high

  * planner_cspace: fix pose duplication on path interpolation (#648 <https://github.com/at-wat/neonavigation/issues/648>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.6-1focal) focal; urgency=high

  * planner_cspace: add more test case to Planner3DMapSize (#640 <https://github.com/at-wat/neonavigation/issues/640>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.5-1focal) focal; urgency=high

  * planner_cspace: fix access violation on wrong size costmap_update message (#637 <https://github.com/at-wat/neonavigation/issues/637>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.3-1focal) focal; urgency=high

  * planner_cspace: fix DistanceMap::init() (#625 <https://github.com/at-wat/neonavigation/issues/625>)
  * Fix flaky tests and add debug outputs (#628 <https://github.com/at-wat/neonavigation/issues/628>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.2-1focal) focal; urgency=high

  * planner_cspace: Fix header of fihish path (#622 <https://github.com/at-wat/neonavigation/issues/622>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.1-1focal) focal; urgency=high

  * planner_cspace: refactor distance map generator (#617 <https://github.com/at-wat/neonavigation/issues/617>)
  * planner_cspace: recover error on FINISHING state (#615 <https://github.com/at-wat/neonavigation/issues/615>)
  * planner_cspace: fix flaky actionlib tests (#616 <https://github.com/at-wat/neonavigation/issues/616>)
  * planner_cspace: remove unused variable (#614 <https://github.com/at-wat/neonavigation/issues/614>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.0-1focal) focal; urgency=high

  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.11-1focal) focal; urgency=high

  * planner_cspace: reset next_replan_time after waitUntil() (#602 <https://github.com/at-wat/neonavigation/issues/602>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.10-1focal) focal; urgency=high

  * planner_cspace: fix goal unreachable condition (#595 <https://github.com/at-wat/neonavigation/issues/595>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.9-1focal) focal; urgency=high

  * planner_cspace: abort A* search on continuous timeout (#592 <https://github.com/at-wat/neonavigation/issues/592>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.8-1focal) focal; urgency=high

  * planner_cspace: improve performance of costmap reset (#587 <https://github.com/at-wat/neonavigation/issues/587>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.7-1focal) focal; urgency=high

  * planner_cspace: improve performance of hysteresis clearing (#586 <https://github.com/at-wat/neonavigation/issues/586>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.6-1focal) focal; urgency=high

  * planner_cspace: fix condition of open queue (#576 <https://github.com/at-wat/neonavigation/issues/576>)
  * planner_cspace: add debug output about cost_estim_cache update (#577 <https://github.com/at-wat/neonavigation/issues/577>)
  * planner_cspace: reuse open/erase queue (#575 <https://github.com/at-wat/neonavigation/issues/575>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.5-1focal) focal; urgency=high

  * planner_cspace: enable tolerance in make_plan (#570 <https://github.com/at-wat/neonavigation/issues/570>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.1-1focal) focal; urgency=high

  * planner_cspace: avoid publishing invalid path when escaping (#546 <https://github.com/at-wat/neonavigation/issues/546>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.0-1focal) focal; urgency=high

  * planner_cspace: add test to MoveWithToleranceAction (#528 <https://github.com/at-wat/neonavigation/issues/528>)
  * planner_cspace: add test to distance map debug output (#526 <https://github.com/at-wat/neonavigation/issues/526>)
  * planner_cspace: periodically update local map in the test (#522 <https://github.com/at-wat/neonavigation/issues/522>)
  * Merge rostest coverage profiles (#520 <https://github.com/at-wat/neonavigation/issues/520>)
  * planner_cspace: fix search range of minimum cost in fast_map_update mode (#518 <https://github.com/at-wat/neonavigation/issues/518>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.9.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.9.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.8-1focal) focal; urgency=high

  * planner_cspace: avoid showing too many warning messages (#501 <https://github.com/at-wat/neonavigation/issues/501>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.6-1focal) focal; urgency=high

  * Fix duplicated tf timestamp (#494 <https://github.com/at-wat/neonavigation/issues/494>)
  * planner_cspace: add wait to navigation tests (#492 <https://github.com/at-wat/neonavigation/issues/492>)
  * planner_cspace: simplify path switch detection condition (#488 <https://github.com/at-wat/neonavigation/issues/488>)
  * planner_cspace: fix uninitialized variable (#486 <https://github.com/at-wat/neonavigation/issues/486>)
  * planner_cspace: enable replan when robot reaches the switchback point (#449 <https://github.com/at-wat/neonavigation/issues/449>)
  * planner_cspace: fix test_debug_outputs initial wait (#485 <https://github.com/at-wat/neonavigation/issues/485>)
  * Contributors: Atsushi Watanabe, Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.4-1focal) focal; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.2-1focal) focal; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.1-1focal) focal; urgency=high

  * planner_cspace: fix flaky debug_output test (#452 <https://github.com/at-wat/neonavigation/issues/452>)
  * planner_cspace: fix condition of planning finish (#451 <https://github.com/at-wat/neonavigation/issues/451>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.8.0-1focal) focal; urgency=high

  * planner_cspace: replan immediately when path is blocked by new obstacles (#446 <https://github.com/at-wat/neonavigation/issues/446>)
  * Add message package version constraints (#443 <https://github.com/at-wat/neonavigation/issues/443>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.7.0-1focal) focal; urgency=high

  * planner_cspace: add MoveWithToleranceAction server (#433 <https://github.com/at-wat/neonavigation/issues/433>)
  * planner_cspace: fix typo (#436 <https://github.com/at-wat/neonavigation/issues/436>)
  * planner_cspace: implement motion primitive algorithm for speed-up (#431 <https://github.com/at-wat/neonavigation/issues/431>)
  * Contributors: Daiki Maekawa, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.6.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.5.1-1focal) focal; urgency=high

  * planner_cspace: disable blockmem_gridmap_performance test (#413 <https://github.com/at-wat/neonavigation/issues/413>)
  * Fix header namespaces (#408 <https://github.com/at-wat/neonavigation/issues/408>)
  * planner_cspace: fix installing planner_2dof_serial_joints node (#409 <https://github.com/at-wat/neonavigation/issues/409>)
  * Migrate from C math functions to C++ (#407 <https://github.com/at-wat/neonavigation/issues/407>)
  * planner_cspace: split search model definition (#323 <https://github.com/at-wat/neonavigation/issues/323>)
  * planner_cspace: fix debug output test (#404 <https://github.com/at-wat/neonavigation/issues/404>)
  * planner_cspace: fix navigation test stability (#403 <https://github.com/at-wat/neonavigation/issues/403>)
  * planner_cspace: add planner_2dof_serial_joints node test (#402 <https://github.com/at-wat/neonavigation/issues/402>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.5.0-1focal) focal; urgency=high

  * planner_cspace: fix debug output test stability (#399 <https://github.com/at-wat/neonavigation/issues/399>)
  * planner_cspace: publish internally used maps as OccupancyGrid (#396 <https://github.com/at-wat/neonavigation/issues/396>)
  * planner_cspace: clear hysteresis if new obstacle is on the previous path (#393 <https://github.com/at-wat/neonavigation/issues/393>)
  * planner_cspace: fix remember_updates feature (#391 <https://github.com/at-wat/neonavigation/issues/391>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Oct 2019 00:00:00 -0000

ros-noetic-planner-cspace (0.4.3-1focal) focal; urgency=high

  * planner_cspace: make sure that planner error will be cleared if the goal is aborted (#372 <https://github.com/at-wat/neonavigation/issues/372>)
  * Contributors: Daiki Maekawa

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 10 Sep 2019 00:00:00 -0000

ros-noetic-planner-cspace (0.4.2-1focal) focal; urgency=high

  * planner_cspace: fix planner performance (#369 <https://github.com/at-wat/neonavigation/issues/369>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Aug 2019 00:00:00 -0000

ros-noetic-planner-cspace (0.4.1-1focal) focal; urgency=high

  * planner_cspace: fix debug build compatibility (#368 <https://github.com/at-wat/neonavigation/issues/368>)
  * planner_cspace: fix out-of-boundary validation (#362 <https://github.com/at-wat/neonavigation/issues/362>)
  * planner_cspace: fix incomplete output path after search timeout (#357 <https://github.com/at-wat/neonavigation/issues/357>)
  * planner_cspace: reduce position quantization error on planning (#351 <https://github.com/at-wat/neonavigation/issues/351>)
  * planner_cspace: latch publish data in navigation test (#353 <https://github.com/at-wat/neonavigation/issues/353>)
  * planner_cspace: improve grid search performance (#342 <https://github.com/at-wat/neonavigation/issues/342>)
  * planner_cspace: optimize BlockmemGridmap (#315 <https://github.com/at-wat/neonavigation/issues/315>)
  * planner_cspace: add a launch for planner performance evaluation (#343 <https://github.com/at-wat/neonavigation/issues/343>)
  * planner_cspace: fix parallel memory access (#306 <https://github.com/at-wat/neonavigation/issues/306>)
  * planner_cspace: remove hist mode of debug output (#336 <https://github.com/at-wat/neonavigation/issues/336>)
  * planner_cspace: fix navigation test setup (#335 <https://github.com/at-wat/neonavigation/issues/335>)
  * planner_cspace: add a navigation test case with map update (#334 <https://github.com/at-wat/neonavigation/issues/334>)
  * planner_cspace: add const to the end pos (#332 <https://github.com/at-wat/neonavigation/issues/332>)
  * planner_cspace: reject request if input frame are located at diffrent frame to the map (#327 <https://github.com/at-wat/neonavigation/issues/327>)
  * planner_cspace: publish empty path immediately after planning aborted (#326 <https://github.com/at-wat/neonavigation/issues/326>)
  * planner_cspace: revert default sw_wait parameter (#313 <https://github.com/at-wat/neonavigation/issues/313>)
  * Drop ROS Indigo and Ubuntu Trusty support (#310 <https://github.com/at-wat/neonavigation/issues/310>)
  * planner_cspace: calculate path hysteresis in 3-DOF space (#304 <https://github.com/at-wat/neonavigation/issues/304>)
  * Fix include directory priority (#308 <https://github.com/at-wat/neonavigation/issues/308>)
  * planner_cspace: fix CyclicVector dimension of planner_2dof_serial_joints (#307 <https://github.com/at-wat/neonavigation/issues/307>)
  * planner_cspace, costmap_cspace: minor refactoring (#305 <https://github.com/at-wat/neonavigation/issues/305>)
  * Fix empty path publish (#301 <https://github.com/at-wat/neonavigation/issues/301>)
  * planner_cspace: refactor CyclicVec (#300 <https://github.com/at-wat/neonavigation/issues/300>)
  * planner_cspace: refactor rotation cache (#299 <https://github.com/at-wat/neonavigation/issues/299>)
  * planner_cspace: fix path cost calculation and interpolation (#298 <https://github.com/at-wat/neonavigation/issues/298>)
  * Contributors: Atsushi Watanabe, Daiki Maekawa, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-noetic-planner-cspace (0.4.0-1focal) focal; urgency=high

  * planner_cspace: limit negative cost to avoid infinite search loop (#288 <https://github.com/at-wat/neonavigation/issues/288>)
  * trajectory_tracker: remove unused parameters (#274 <https://github.com/at-wat/neonavigation/issues/274>)
  * Support melodic (#266 <https://github.com/at-wat/neonavigation/issues/266>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-noetic-planner-cspace (0.3.1-1focal) focal; urgency=high

  * trajectory_tracker: support PathWithVelocity (#244 <https://github.com/at-wat/neonavigation/issues/244>)
  * planner_cspace: fix stability of test_costmap_watchdog (#242 <https://github.com/at-wat/neonavigation/issues/242>)
  * planner_cspace: add watchdog to costmap update (#235 <https://github.com/at-wat/neonavigation/issues/235>)
  * planner_cspace: add missing test dependencies (#234 <https://github.com/at-wat/neonavigation/issues/234>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * planner_cspace: add diagnostics to planner node (#226 <https://github.com/at-wat/neonavigation/issues/226>)
  * planner_cspace: stop robot motion if new map received (#218 <https://github.com/at-wat/neonavigation/issues/218>)
  * planner_cspace: split grid-metric converter functions (#213 <https://github.com/at-wat/neonavigation/issues/213>)
  * planner_cspace: split motion cache class (#212 <https://github.com/at-wat/neonavigation/issues/212>)
  * planner_cspace: fix goal and start tolerance parameter (#211 <https://github.com/at-wat/neonavigation/issues/211>)
  * planner_cspace: add cost for turning near obstacles (#210 <https://github.com/at-wat/neonavigation/issues/210>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * planner_cspace: use odometry position difference in jump detection (#205 <https://github.com/at-wat/neonavigation/issues/205>)
  * planner_cspace: refactoring (#204 <https://github.com/at-wat/neonavigation/issues/204>)
  * Contributors: Atsushi Watanabe, So Jomura, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-noetic-planner-cspace (0.2.3-1focal) focal; urgency=high

  * Fix test names (#202 <https://github.com/at-wat/neonavigation/issues/202>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-noetic-planner-cspace (0.2.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-noetic-planner-cspace (0.2.1-1focal) focal; urgency=high

  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-noetic-planner-cspace (0.2.0-1focal) focal; urgency=high

  * planner_cspace: fix restriction of path segment connection (#191 <https://github.com/at-wat/neonavigation/issues/191>)
  * planner_cspace: fix boundary check (#190 <https://github.com/at-wat/neonavigation/issues/190>)
  * planner_cspace: fix unconverged switching back vibration (#183 <https://github.com/at-wat/neonavigation/issues/183>)
  * Reduce random test failure (#181 <https://github.com/at-wat/neonavigation/issues/181>)
  * Update CI (#179 <https://github.com/at-wat/neonavigation/issues/179>)
  * Fix cost in heuristic function for make_plan service (#178 <https://github.com/at-wat/neonavigation/issues/178>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * planner_cspace: add make plan service (#169 <https://github.com/at-wat/neonavigation/issues/169>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * planner_cspace: fix clearing remembered costmap (#158 <https://github.com/at-wat/neonavigation/issues/158>)
  * planner_cspace: fix partial costmap update with unknown cells (#156 <https://github.com/at-wat/neonavigation/issues/156>)
  * planner_cspace: remember costmap using binary bayes filter (#149 <https://github.com/at-wat/neonavigation/issues/149>)
  * planner_cspace: fix position jump detection (#150 <https://github.com/at-wat/neonavigation/issues/150>)
  * planner_cspace: fix remembering costmap (#147 <https://github.com/at-wat/neonavigation/issues/147>)
  * planner_cspace: use frame_id of incoming message to set dummy robot pose (#145 <https://github.com/at-wat/neonavigation/issues/145>)
  * planner_cspace: add odom publisher to dummy robot (#143 <https://github.com/at-wat/neonavigation/issues/143>)
  * planner_cspace: add preempt (#137 <https://github.com/at-wat/neonavigation/issues/137>)
  * planner_cspace: minor optimizations (#129 <https://github.com/at-wat/neonavigation/issues/129>)
  * planner_cspace: disable performance test by default (#127 <https://github.com/at-wat/neonavigation/issues/127>)
  * planner_cspace: support parallel distance map search (#125 <https://github.com/at-wat/neonavigation/issues/125>)
  * planner_cspace: support parallel aster search (#118 <https://github.com/at-wat/neonavigation/issues/118>)
  * Add abort (#116 <https://github.com/at-wat/neonavigation/issues/116>)
  * planner_cspace: increase navigation test time limit (#98 <https://github.com/at-wat/neonavigation/issues/98>)
  * planner_cspace: validate goal position. (#90 <https://github.com/at-wat/neonavigation/issues/90>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * Fix header of empty path. (#79 <https://github.com/at-wat/neonavigation/issues/79>)
  * planner_cspace: cache motion interpolation. (#75 <https://github.com/at-wat/neonavigation/issues/75>)
  * planner_cspace: add planning performance test. (#74 <https://github.com/at-wat/neonavigation/issues/74>)
  * planner_cspace: add navigation integration test. (#73 <https://github.com/at-wat/neonavigation/issues/73>)
  * planner_cspace: add test for cyclic_vec. (#72 <https://github.com/at-wat/neonavigation/issues/72>)
  * planner_cspace: fix naming styles in blockmem_gridmap. (#69 <https://github.com/at-wat/neonavigation/issues/69>)
  * planner_cspace: add test for blockmem_gridmap. (#70 <https://github.com/at-wat/neonavigation/issues/70>)
  * planner_cspace: install patrol actionlib client. (#64 <https://github.com/at-wat/neonavigation/issues/64>)
  * planner_cspace: initialize dummy robot status. (#62 <https://github.com/at-wat/neonavigation/issues/62>)
  * planner_cspace: add simple action client for robot patrol. (#61 <https://github.com/at-wat/neonavigation/issues/61>)
  * planner_cspace: add missing dependency to boost::chrono. (#60 <https://github.com/at-wat/neonavigation/issues/60>)
  * planner_cspace: add actionlib support. (#58 <https://github.com/at-wat/neonavigation/issues/58>)
  * neonavigation_launch, planner_cspace: add simple simulator. (#59 <https://github.com/at-wat/neonavigation/issues/59>)
  * planner_space: fix naming styles. (#57 <https://github.com/at-wat/neonavigation/issues/57>)
  * planner_cspace: refactor separating classes. (#55 <https://github.com/at-wat/neonavigation/issues/55>)
  * planner_cspace: fix distance map init timing. (#53 <https://github.com/at-wat/neonavigation/issues/53>)
  * Remove dummy dep to system_lib. (#51 <https://github.com/at-wat/neonavigation/issues/51>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * planner_cspace: fixes ignore range handling (#28 <https://github.com/at-wat/neonavigation/issues/28>)
  * planner_cspace: fixes memory leak on remembered costmap (#27 <https://github.com/at-wat/neonavigation/issues/27>)
  * planner_cspace: adds service to forget remembered costmap (#26 <https://github.com/at-wat/neonavigation/issues/26>)
  * planner_cspace: fixes logic of remember_update parameter (#25 <https://github.com/at-wat/neonavigation/issues/25>)
  * planner_cspace: fixes wrong direction of path end (#24 <https://github.com/at-wat/neonavigation/issues/24>)
  * planner_cspace: fixes straight motion discriminant (#23 <https://github.com/at-wat/neonavigation/issues/23>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * costmap_cspace, planner_cspace: fixes pkg dependencies
  * planner_cspace: adds planner for 2dof serial joints (#6 <https://github.com/at-wat/neonavigation/issues/6>)
  * planner_cspace: uses template to specify dimension
  * changes planner and costmap package names with a postfix _cspace
  * Contributors: Atsushi Watanabe, Yuta Koga, Yutaka Takaoka

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000


